#reset scores if not continuing
execute unless score @s ids matches 2..3 run scoreboard players set @s fran_id_init 0
execute unless score @s ids matches 2..3 run scoreboard players set @s fran_id_end 0

#reset stuff
scoreboard players set $count fran_id_temp 0
scoreboard players set $page_down fran_id_temp 0
scoreboard players set $page_up fran_id_temp 0

#tellraw
#header
tellraw @s ""
tellraw @s {"text":"                                                ","strikethrough":true}
tellraw @s [{"text":"                 "},{"text":"Player IDs","color":"aqua","underlined":true,"hoverEvent":{"action":"show_text","contents":[{"text":"by Francielly","color":"light_purple"},{"text":"\nClick to open in your browser","color":"white"}]},"clickEvent":{"action":"open_url","value":"https://www.planetminecraft.com/member/francielly/"}}]
tellraw @s {"text":"                                                ","strikethrough":true}
tellraw @s ""

#pre_loops
execute unless score @s ids matches 3 run function player_compass:player_id/ascending
execute if score @s ids matches 3 run function player_compass:player_id/descending

#check pages
execute as @a if score @s fran_id < @a[scores={ids=1..},limit=1] fran_id_init run scoreboard players set $page_down fran_id_temp 1
execute as @a if score @s fran_id > @a[scores={ids=1..},limit=1] fran_id_end run scoreboard players set $page_up fran_id_temp 1

#error '-'
execute if score $success fran_id_temp matches 0 run function player_compass:player_id/error

#pages
execute if score $page_down fran_id_temp matches 0 if score $page_up fran_id_temp matches 0 run tellraw @s ""
execute if score $page_down fran_id_temp matches 1 if score $page_up fran_id_temp matches 0 run tellraw @s [{"text":"                                 "},{"text":"[<]","clickEvent":{"action":"run_command","value":"/trigger ids set 3"},"hoverEvent":{"action":"show_text","contents":[{"text":"previous page"}]}},{"text":" page "},{"text":"[>]","color":"dark_gray","hoverEvent":{"action":"show_text","contents":[{"text":"❌","color":"red"}]}}]
execute if score $page_down fran_id_temp matches 0 if score $page_up fran_id_temp matches 1 run tellraw @s [{"text":"                                 "},{"text":"[<]","color":"dark_gray","hoverEvent":{"action":"show_text","contents":[{"text":"❌","color":"red"}]}},{"text":" page "},{"text":"[>]","clickEvent":{"action":"run_command","value":"/trigger ids set 2"},"hoverEvent":{"action":"show_text","contents":[{"text":"next page"}]}}]
execute if score $page_down fran_id_temp matches 1 if score $page_up fran_id_temp matches 1 run tellraw @s [{"text":"                                 "},{"text":"[<]","clickEvent":{"action":"run_command","value":"/trigger ids set 3"},"hoverEvent":{"action":"show_text","contents":[{"text":"previous page"}]}},{"text":" page "},{"text":"[>]","clickEvent":{"action":"run_command","value":"/trigger ids set 2"},"hoverEvent":{"action":"show_text","contents":[{"text":"next page"}]}}]

#footer
tellraw @s {"text":"                                                ","strikethrough":true}

#reset temp
scoreboard players reset * fran_id_temp

#reset trigger
scoreboard players set @s ids 0